Bug 218183 - Review Request: offlineimap - sync local and remote mail repositories via imap
Review Request: offlineimap - sync local and remote mail repositories via imap
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
http://software.complete.org/offlinei...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-02 16:05 EST by Till Maas
Modified: 2015-01-18 15:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-03 13:22:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2006-12-02 16:05:50 EST
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/offlineimap.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/offlineimap-4.0.15-1.src.rpm
Description:

OfflineIMAP is a tool to simplify your e-mail reading. With OfflineIMAP,
you can read the same mailbox from multiple computers.  You get a
current copy of your messages on each computer, and changes you make one
place will be visible on all other systems. For instance, you can delete
a message on your home computer, and it will appear deleted on your work
computer as well. OfflineIMAP is also useful if you want to use a mail
reader that does not have IMAP support, has poor IMAP support, or does
not provide disconnected operation.

URL: http://software.complete.org/offlineimap/
Comment 1 Mamoru TASAKA 2006-12-03 04:15:59 EST
I will review this certainly later....
Comment 2 Mamoru TASAKA 2006-12-03 09:46:01 EST
Well, would you check the dependency for this package?
For example:
--------------------------------------
/usr/lib/python2.4/site-packages/offlineimap/ui/Tk.py:import tkFont
--------------------------------------
This means this package requires tkinter. For me tkinter is required
only by python-imaging and comix (both in Extras).
Comment 3 Till Maas 2006-12-03 11:01:12 EST
tkinter is only required when someone wants to use the tkinter user interface of
offlineimap, but there are five other user interfaces that work well. So it is
more an optional requirement, which is not supported by rpm afaik.
Comment 4 Mamoru TASAKA 2006-12-03 11:16:20 EST
Well, then other dependencies are okay?
Comment 5 Mamoru TASAKA 2006-12-03 11:21:39 EST
P.S. 'other' means that:
------------------------------------------------------
[tasaka1@localhost SPECS]$ ( for f in /usr/bin/offlineimap `rpm -ql offlineimap
| grep py$` ; do grep 'import ' $f ; done ) | sed -e 's|^[ \t]*||' | sort | uniq 
from Base import BaseFolder
from Base import BaseRepository
from Blinkenlights import BlinkenBase
from ConfigParser import ConfigParser
from IMAP import IMAPFolder
from Queue import Queue
from ScrolledText import ScrolledText
from StringIO import StringIO
from Tkinter import *
from UIBase import UIBase
from __future__ import nested_scopes
from copy import copy
from getopt import getopt
from getpass import getpass
from mailbox import Maildir
from offlineimap import CustomConfig
from offlineimap import folder
from offlineimap import folder, imaputil
from offlineimap import folder, imaputil, imapserver
from offlineimap import imaplib, imapserver, repository, folder, mbnames,
threadutil, version
from offlineimap import imaplib, imapserver, repository, folder, mbnames,
threadutil, version, syncmaster, accounts
from offlineimap import imaplib, imaputil, threadutil
from offlineimap import imaputil
from offlineimap import imaputil, imaplib
from offlineimap import init
from offlineimap import threadutil
from offlineimap import threadutil, mbnames, CustomConfig
from offlineimap import threadutil, version
from offlineimap import version, threadutil
from offlineimap.CustomConfig import CustomConfigParser
from offlineimap.accounts import SyncableAccount
from offlineimap.folder.UIDMaps import MappedIMAPFolder
from offlineimap.localeval import LocalEval
from offlineimap.repository.IMAP import IMAPRepository, MappedIMAPRepository
from offlineimap.repository.Maildir import MaildirRepository
from offlineimap.threadutil import ExitNotifyThread
from offlineimap.threadutil import InstanceLimitedThread
from offlineimap.threadutil import InstanceLimitedThread, ExitNotifyThread
from offlineimap.threadutil import MultiLock
from offlineimap.ui import UIBase
from offlineimap.ui import UIBase       # for getglobalui()
from offlineimap.ui.Blinkenlights import BlinkenBase
from offlineimap.ui.UIBase import UIBase
from offlineimap.version import versionstr
from stat import *
from threading import *
from threading import Event
from threading import Lock
import Base, IMAP, Maildir, LocalStatus
import Curses
import Noninteractive
import TTY
import Tk
import Tkinter
import UIBase, Blinkenlights
import binascii, re, socket, time, random, sys, os
import curses
import curses, curses.panel, curses.textpad, curses.wrapper
import detector
import errno
import fcntl
import getopt, getpass
import imp
import offlineimap.accounts
import offlineimap.repository.Base, offlineimap.repository.LocalStatus
import offlineimap.ui
import offlineimap.version
import os
import os, re
import os, threading
import os.path
import os.path, os, re, time, socket, md5
import os.path, re
import profile
import re                               # for folderfilter
import re, os, os.path, offlineimap, sys
import re, string, types
import re, time, sys, traceback, threading, thread
import re, types, os
import rfc822, time, string, random, binascii, re
import select, sys
import sys
import sys, time
import sys, traceback, thread
import thread
import thread, hmac, os
import thread, time, sys, os, signal, time
import thread, traceback, time, threading
import threading
import time
import tkFont
import traceback
------------------------------------------------------
Comment 6 Till Maas 2006-12-03 11:56:21 EST
The other imports except Tk which is needed for the user interface are either
from offlineimap modules or modules in the python package which is requirement
is added by rpm. Btw. is there any tool that can help one with this dependency
checking?
Comment 7 Mamoru TASAKA 2006-12-03 12:22:24 EST
Well, then this package meets 
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines

----------------------------------------------
  This package (offlineimap) is APPROVED by me.
----------------------------------------------
By the way, it seems that 4.0.16 is released.

(In reply to comment #6)
> Btw. is there any tool that can help one with this dependency
> checking?
I have several applications packaged which uses python, at which
time I always had to check python-related dependency manually...
In fact I really want that tool.
Comment 8 Till Maas 2006-12-03 13:22:04 EST
imported and successfully built as 22865 for devel

- version bump
- added one more %%{version} to Source0
- added FAQ.html, todo to %%doc
- added debian/changelog as ChangeLog to %%doc
Comment 9 Till Maas 2006-12-03 13:30:03 EST
Forgot to thank you for this fast review :-)
And I just noticed that the Tk Interface probably will be removed in 4.1.0 so
even this optional dependency will go away soon.
Comment 10 Paolo Bonzini 2011-12-19 05:16:42 EST
Package Change Request
======================
Package Name: offlineimap
New Branches: el6
Owners: bonzini
Comment 11 Gwyn Ciesla 2011-12-19 07:58:04 EST
Git done (by process-git-requests).
Comment 12 Dodji Seketeli 2015-01-16 15:49:41 EST
Package Change Request
======================
Package Name: offlineimap
New Branches: el7
Owners: dodji
Comment 13 Jason Tibbitts 2015-01-18 15:27:43 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.